Closed Bug 1586303 Opened 2 years ago Closed 1 year ago

Set values for "new_tab" Core ping fields

Categories

(Firefox for Android Graveyard :: Metrics, enhancement, P1)

Unspecified
Android
enhancement

Tracking

(firefox-esr6871+ verified)

VERIFIED FIXED
Tracking Status
firefox-esr68 71+ verified

People

(Reporter: andrei.a.lazar, Assigned: andrei.a.lazar)

References

Details

(Whiteboard: [fennec68.3])

Attachments

(1 file)

No description provided.

Hello Stefan,

I was wondering what is the work for this ticket, from documentation I understand that

“new_tab”: {
      “top_sites_clicked”: <int>,
      “pocket_stories_clicked”: <int>
}

I should count the number of top sites and pocket stories clicked from "about:home"?

Flags: needinfo?(sarentz)

Yes, that is how I understand it. So two counters that both increment every time a top site or pocket story is clicked. When we send the core ping, we also reset the counter back to zero.

Flags: needinfo?(sarentz)

Replaced default value for "newTab" with prefs value.

Depends on D49601

Whiteboard: [fennec68.2.x]

Hi, tested on the provided try build with Google Pixel 3 XL (Android 9) and Samsung Galaxy S9 (Android 8.0.0)

  • fennec.new_tab.top_sites_clicked
  • fennec.new_tab.pocket_stories_clicked

Samsung Galaxy S9 (Android 8.0.0) - 055d0a1d-27ae-4d87-ac7e-8b7e1d78b470
Google Pixel 3 XL (Android 9) - e0b1c587-d0d9-433c-8bd3-f307cfe30261

Note:
-For "Fennec.new_tab.pocket_stories_clicked" the value is not updated, this is applicable for both devices it is always "0" but there seems that a ping is sent as there are multiple lines.
@Andrei, could you please look into it and see what is causing this? Also can you please look why after reseting the top_sites_clicked does not reset.

Example of used query:
SELECT fennec.new_tab.top_sites_clicked, fennec.new_tab.pocket_stories_clicked, submission_timestamp
FROM moz-fx-data-shared-prod.telemetry_live.core_v*
WHERE submission_timestamp > '2019-11-08'
AND client_id = 'e0b1c587-d0d9-433c-8bd3-f307cfe30261'
ORDER BY submission_timestamp DESC

Whiteboard: [fennec68.2.x] → [fennec68.2.2]
Flags: needinfo?(andrei.a.lazar)

Hi, received a new try test build based on release esr version from developer and the "fennec.new_tab.top_sites_clicked" and "fennec.new_tab.pocket_stories_clicked" has correctly applied the reset for:

  • Google Pixel 3 XL (Android 9)
  • Samsung Galaxy S9 (Android 8.0.0)

Note:
When closing and opening the application, in the same minute, in order to have the core ping resend - the reset action will not be sent until a new core ping is sent.

Comment on attachment 9104209 [details]
Bug 1586303 - Set values for "new_tab" Core ping fields r=VladBaicu

ESR Uplift Approval Request

  • If this is not a sec:{high,crit} bug, please state case for ESR consideration: This functionality is required by the data science team.
  • User impact if declined: Users won't be able to benefit from an enhanced experience due to lack of info provided for data science team.
  • Fix Landed on Version:
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): This patch is not risky because it doesn't introduce any new feature and the changes were tested by QA and are crash-free.
  • String or UUID changes made by this patch:
Flags: needinfo?(andrei.a.lazar)
Attachment #9104209 - Flags: approval-mozilla-esr68?

Comment on attachment 9104209 [details]
Bug 1586303 - Set values for "new_tab" Core ping fields r=VladBaicu

Adds new Fennec telemetry probes needed to help prioritize Fenix work. Approved for 68.3b4.

Attachment #9104209 - Flags: approval-mozilla-esr68? → approval-mozilla-esr68+

Backed out 9 changesets (Bug 1586307, Bug 1586313, Bug 1586312, Bug 1586311, Bug 1586310, Bug 1586302, Bug 1586303, Bug 1586308, Bug 1586309) for Android crashes on remoteautomation.py and marionette.py. a=backout

Failure log:

  1. https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=275716258&repo=mozilla-esr68&lineNumber=1558
  2. https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=275713936&repo=mozilla-esr68&lineNumber=1417

Push with failure: https://treeherder.mozilla.org/#/jobs?repo=mozilla-esr68&resultStatus=testfailed%2Cbusted%2Cexception&classifiedState=unclassified&revision=928658c79e5a18189a3d40208db5d632a9c923aa

Backout link: https://treeherder.mozilla.org/#/jobs?repo=mozilla-esr68&resultStatus=testfailed%2Cbusted%2Cexception&classifiedState=unclassified&revision=6b13378979d507fc211734730d4f45bf8275f54f

[task 2019-11-12T01:19:46.964Z] 01:19:46     INFO - Using env: (same as previous command)
[task 2019-11-12T01:19:47.141Z] 01:19:47     INFO -  Using workspace for temporary data: "/builds/worker/workspace/build/tests/marionette"
[task 2019-11-12T01:19:47.147Z] 01:19:47     INFO -  adb Using adb 1.0.40
[task 2019-11-12T01:19:47.354Z] 01:19:47     INFO -  adb adbd running as root
[task 2019-11-12T01:19:47.456Z] 01:19:47     INFO -  adb setenforce 0 exitcode 0, stdout: None
[task 2019-11-12T01:19:47.660Z] 01:19:47     INFO -  adb su 0 supported
[task 2019-11-12T01:19:47.873Z] 01:19:47     INFO -  adb /system/bin/ls -1A supported
[task 2019-11-12T01:19:47.975Z] 01:19:47     INFO -  adb Native cp support: True
[task 2019-11-12T01:19:48.077Z] 01:19:48     INFO -  adb Native chmod -R support: True
[task 2019-11-12T01:19:48.180Z] 01:19:48     INFO -  adb Native chown -R support: True
[task 2019-11-12T01:19:48.286Z] 01:19:48     INFO -  adb Setting SELinux Permissive
[task 2019-11-12T01:19:48.595Z] 01:19:48     INFO -  adb Native pidof support: True
[task 2019-11-12T01:19:55.440Z] 01:19:55     INFO -  timed out waiting for profiles.ini
[task 2019-11-12T01:19:55.745Z] 01:19:55     INFO -  adb Granting important runtime permissions to org.mozilla.firefox_beta
[task 2019-11-12T01:19:57.258Z] 01:19:57     INFO -  adb launch_application: am start -W -n org.mozilla.firefox_beta/org.mozilla.gecko.BrowserApp -a android.intent.action.VIEW --es env8 R_LOG_LEVEL=6 --es args "-no-remote -profile /sdcard/tests/profile -marionette" --es env3 MOZ_LOG=signaling:3,mtransport:4,DataChannel:4,jsep:4 --es env2 MOZ_HIDE_RESULTS_TABLE=1 --es env1 R_LOG_VERBOSE=1 --es env0 MOZ_CRASHREPORTER=1 --es env7 MOZ_PROCESS_LOG=/tmp/tmpA1lE8ypidlog --es env6 MOZ_CRASHREPORTER_NO_REPORT=1 --es env5 R_LOG_DESTINATION=stderr --es env4 MOZ_CRASHREPORTER_SHUTDOWN=1
[task 2019-11-12T01:19:59.794Z] 01:19:59     INFO -  mozcrash Downloading symbols from: https://firefox-ci-tc.services.mozilla.com/api/queue/v1/task/b6NLEy7ASMCWf8umxe6G2Q/artifacts/public/build/target.crashreporter-symbols.zip
[task 2019-11-12T01:20:02.800Z] 01:20:02     INFO -  mozcrash Copy/paste: /builds/worker/workspace/build/linux64-minidump_stackwalk /tmp/tmpGwoJ2S/797f226d-a479-de36-6450-37363e0f4563.dmp /tmp/tmpCCr4fD
[task 2019-11-12T01:20:07.548Z] 01:20:07     INFO -  mozcrash Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/797f226d-a479-de36-6450-37363e0f4563.dmp
[task 2019-11-12T01:20:07.550Z] 01:20:07     INFO -  mozcrash Saved app info as /builds/worker/workspace/build/blobber_upload_dir/797f226d-a479-de36-6450-37363e0f4563.extra
[task 2019-11-12T01:20:07.556Z] 01:20:07  WARNING -  PROCESS-CRASH | marionette.py | application crashed [@ mozilla::jni::Accessor::EndAccess<mozilla::java::PrefsHelper::CallPrefHandler_t>(mozilla::java::PrefsHelper::CallPrefHandler_t::Owner::Context const&, nsresult*)]
[task 2019-11-12T01:20:07.556Z] 01:20:07     INFO -  Crash dump filename: /tmp/tmpGwoJ2S/797f226d-a479-de36-6450-37363e0f4563.dmp
[task 2019-11-12T01:20:07.556Z] 01:20:07     INFO -  Operating system: Android
[task 2019-11-12T01:20:07.556Z] 01:20:07     INFO -                    0.0.0 Linux 3.10.0+ #1 PREEMPT Thu Jan 5 00:46:30 UTC 2017 x86_64
[task 2019-11-12T01:20:07.556Z] 01:20:07     INFO -  CPU: amd64
[task 2019-11-12T01:20:07.556Z] 01:20:07     INFO -       family 6 model 2 stepping 3
[task 2019-11-12T01:20:07.556Z] 01:20:07     INFO -       1 CPU
[task 2019-11-12T01:20:07.556Z] 01:20:07     INFO -  GPU: UNKNOWN
[task 2019-11-12T01:20:07.557Z] 01:20:07     INFO -  Crash reason:  SIGSEGV /SEGV_MAPERR
[task 2019-11-12T01:20:07.557Z] 01:20:07     INFO -  Crash address: 0x0
[task 2019-11-12T01:20:07.557Z] 01:20:07     INFO -  Process uptime: not available
[task 2019-11-12T01:20:07.557Z] 01:20:07     INFO -  Thread 13 (crashed)
[task 2019-11-12T01:20:07.557Z] 01:20:07     INFO -   0  libxul.so!void mozilla::jni::Accessor::EndAccess<mozilla::java::PrefsHelper::CallPrefHandler_t>(mozilla::java::PrefsHelper::CallPrefHandler_t::Owner::Context const&, nsresult*) [Accessors.h:928658c79e5a18189a3d40208db5d632a9c923aa : 55 + 0x11]
[task 2019-11-12T01:20:07.558Z] 01:20:07     INFO -      rax = 0x00007d431d791f28   rdx = 0x0000000000000000
[task 2019-11-12T01:20:07.558Z] 01:20:07     INFO -      rcx = 0x00007d43208ee220   rbx = 0x00007d432073d020
[task 2019-11-12T01:20:07.558Z] 01:20:07     INFO -      rsi = 0x00007d432073ceb0   rdi = 0x00007d432073ceb0
[task 2019-11-12T01:20:07.558Z] 01:20:07     INFO -      rbp = 0x00007d432073cfa0   rsp = 0x00007d432073cf80
[task 2019-11-12T01:20:07.558Z] 01:20:07     INFO -       r8 = 0x00007d432073ce88    r9 = 0x00007d43214a6033
[task 2019-11-12T01:20:07.558Z] 01:20:07     INFO -      r10 = 0x00007d432edbeb60   r11 = 0x00007d432073cbf8
[task 2019-11-12T01:20:07.558Z] 01:20:07     INFO -      r12 = 0x00007d432073d0e0   r13 = 0x00007d432073d03c
[task 2019-11-12T01:20:07.558Z] 01:20:07     INFO -      r14 = 0x00007d432edbeb40   r15 = 0x00007d432073d03b
[task 2019-11-12T01:20:07.559Z] 01:20:07     INFO -      rip = 0x00007d431bc6d117
[task 2019-11-12T01:20:07.559Z] 01:20:07     INFO -      Found by: given as instruction pointer in context
[task 2019-11-12T01:20:07.559Z] 01:20:07     INFO -   1  libxul.so!void mozilla::jni::Method<mozilla::java::PrefsHelper::CallPrefHandler_t, void>::Call<mozilla::jni::Ref<mozilla::jni::Object, _jobject*>, int, mozilla::jni::StringParam, bool, int, mozilla::jni::StringParam>(mozilla::jni::Context<mozilla::java::PrefsHelper, _jobject*> const&, nsresult*, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, int const&, mozilla::jni::StringParam const&, bool const&, int const&, mozilla::jni::StringParam const&) [Accessors.h:928658c79e5a18189a3d40208db5d632a9c923aa : 141 + 0xd]
[task 2019-11-12T01:20:07.559Z] 01:20:07     INFO -      rbx = 0x00007d432073d020   rbp = 0x00007d432073cfa0
[task 2019-11-12T01:20:07.559Z] 01:20:07     INFO -      rsp = 0x00007d432073cf90   r12 = 0x00007d432073d0e0
[task 2019-11-12T01:20:07.559Z] 01:20:07     INFO -      r13 = 0x00007d432073d03c   r14 = 0x00007d432edbeb40
[task 2019-11-12T01:20:07.559Z] 01:20:07     INFO -      r15 = 0x00007d432073d03b   rip = 0x00007d431bc64208
[task 2019-11-12T01:20:07.560Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.560Z] 01:20:07     INFO -   2  libxul.so!mozilla::java::PrefsHelper::CallPrefHandler(mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&, int, mozilla::jni::StringParam const&, bool, int, mozilla::jni::StringParam const&) [GeneratedJNIWrappers.cpp: : 1020 + 0x2c]
[task 2019-11-12T01:20:07.560Z] 01:20:07     INFO -      rbx = 0x00007d430fecd150   rbp = 0x00007d432073d020
[task 2019-11-12T01:20:07.560Z] 01:20:07     INFO -      rsp = 0x00007d432073d010   r12 = 0x00007d432073d03c
[task 2019-11-12T01:20:07.560Z] 01:20:07     INFO -      r13 = 0x00007d432073d03b   r14 = 0x00007d432073d0d0
[task 2019-11-12T01:20:07.560Z] 01:20:07     INFO -      r15 = 0x00007d432073d0e0   rip = 0x00007d431bc64138
[task 2019-11-12T01:20:07.560Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.561Z] 01:20:07     INFO -   3  libxul.so!mozilla::PrefsHelper::GetPrefs(mozilla::jni::LocalRef<mozilla::jni::TypedObject<_jclass*> > const&, mozilla::jni::Ref<mozilla::jni::TypedObject<_jobjectArray*>, _jobjectArray*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&) [PrefsHelper.h:928658c79e5a18189a3d40208db5d632a9c923aa : 187 + 0x12]
[task 2019-11-12T01:20:07.561Z] 01:20:07     INFO -      rbx = 0x00007d432073d0e0   rbp = 0x00007d432073d0d0
[task 2019-11-12T01:20:07.561Z] 01:20:07     INFO -      rsp = 0x00007d432073d080   r12 = 0x0000000000000000
[task 2019-11-12T01:20:07.561Z] 01:20:07     INFO -      r13 = 0x00007d431fc049c0   r14 = 0x00007d432073d0d0
[task 2019-11-12T01:20:07.561Z] 01:20:07     INFO -      r15 = 0x0000000000000001   rip = 0x00007d431bc8aff2
[task 2019-11-12T01:20:07.562Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.562Z] 01:20:07     INFO -   4  libxul.so!mozilla::detail::RunnableFunction<mozilla::jni::detail::ProxyNativeCall<mozilla::PrefsHelper, mozilla::java::PrefsHelper, true, true, mozilla::jni::Ref<mozilla::jni::TypedObject<_jobjectArray*>, _jobjectArray*> const&, mozilla::jni::Ref<mozilla::jni::Object, _jobject*> const&> >::Run() [nsThreadUtils.h:928658c79e5a18189a3d40208db5d632a9c923aa : 562 + 0x45]
[task 2019-11-12T01:20:07.562Z] 01:20:07     INFO -      rbx = 0x00007d430fecd130   rbp = 0x00007d430fecd150
[task 2019-11-12T01:20:07.562Z] 01:20:07     INFO -      rsp = 0x00007d432073d1e0   r12 = 0x00007d432073d1e0
[task 2019-11-12T01:20:07.562Z] 01:20:07     INFO -      r13 = 0x00007d430fecd158   r14 = 0x00007d430fecd148
[task 2019-11-12T01:20:07.562Z] 01:20:07     INFO -      r15 = 0x00007d432edbeb40   rip = 0x00007d431bc8b414
[task 2019-11-12T01:20:07.563Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.563Z] 01:20:07     INFO -   5  libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 1175 + 0xa]
[task 2019-11-12T01:20:07.563Z] 01:20:07     INFO -      rbx = 0x00007d432073d278   rbp = 0x0000000000000001
[task 2019-11-12T01:20:07.563Z] 01:20:07     INFO -      rsp = 0x00007d432073d230   r12 = 0x00007d430fecd130
[task 2019-11-12T01:20:07.563Z] 01:20:07     INFO -      r13 = 0x00000000ffffffff   r14 = 0x00007d431fc20258
[task 2019-11-12T01:20:07.563Z] 01:20:07     INFO -      r15 = 0x00007d431fc201c0   rip = 0x00007d431a754665
[task 2019-11-12T01:20:07.563Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.563Z] 01:20:07     INFO -   6  libxul.so!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 486 + 0x11]
[task 2019-11-12T01:20:07.564Z] 01:20:07     INFO -      rbx = 0x00007d432073d327   rbp = 0x00007d431fc04800
[task 2019-11-12T01:20:07.564Z] 01:20:07     INFO -      rsp = 0x00007d432073d320   r12 = 0x00007d431fc04820
[task 2019-11-12T01:20:07.564Z] 01:20:07     INFO -      r13 = 0x0000000000000001   r14 = 0x00007d431fc6c060
[task 2019-11-12T01:20:07.564Z] 01:20:07     INFO -      r15 = 0x00007d431fc201c0   rip = 0x00007d431a7559cb
[task 2019-11-12T01:20:07.564Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.565Z] 01:20:07     INFO -   7  libxul.so!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate*) [MessagePump.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 88 + 0xa]
[task 2019-11-12T01:20:07.565Z] 01:20:07     INFO -      rbx = 0x0000000000000001   rbp = 0x00007d431fc04800
[task 2019-11-12T01:20:07.565Z] 01:20:07     INFO -      rsp = 0x00007d432073d340   r12 = 0x00007d431fc04820
[task 2019-11-12T01:20:07.566Z] 01:20:07     INFO -      r13 = 0x0000000000000001   r14 = 0x00007d431fc6c060
[task 2019-11-12T01:20:07.566Z] 01:20:07     INFO -      r15 = 0x00007d431fc201c0   rip = 0x00007d431aa3ed4e
[task 2019-11-12T01:20:07.566Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.566Z] 01:20:07     INFO -   8  libxul.so!MessageLoop::Run() [message_loop.cc:928658c79e5a18189a3d40208db5d632a9c923aa : 290 + 0xc]
[task 2019-11-12T01:20:07.566Z] 01:20:07     INFO -      rbx = 0x00007d432073d380   rbp = 0x0000000080004005
[task 2019-11-12T01:20:07.567Z] 01:20:07     INFO -      rsp = 0x00007d432073d380   r12 = 0x00007d432073d709
[task 2019-11-12T01:20:07.567Z] 01:20:07     INFO -      r13 = 0x00007d432073d650   r14 = 0x00007d431fc201c0
[task 2019-11-12T01:20:07.567Z] 01:20:07     INFO -      r15 = 0x00007d432073d620   rip = 0x00007d431aa1a95f
[task 2019-11-12T01:20:07.567Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.567Z] 01:20:07     INFO -   9  libxul.so!nsBaseAppShell::Run() [nsBaseAppShell.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 137 + 0xd]
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      rbx = 0x00007d431fc95580   rbp = 0x0000000080004005
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      rsp = 0x00007d432073d3b0   r12 = 0x00007d432073d709
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      r13 = 0x00007d432073d650   r14 = 0x00007d431fc201c0
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      r15 = 0x00007d432073d620   rip = 0x00007d431bc556f4
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -  10  libxul.so!nsAppStartup::Run() [nsAppStartup.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 276 + 0xa]
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      rbx = 0x00007d4316436830   rbp = 0x0000000080004005
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      rsp = 0x00007d432073d3d0   r12 = 0x00007d432073d709
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      r13 = 0x00007d432073d650   r14 = 0x00007d432073d648
[task 2019-11-12T01:20:07.568Z] 01:20:07     INFO -      r15 = 0x00007d432073d620   rip = 0x00007d431c67263c
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -  11  libxul.so!XREMain::XRE_main(int, char**, mozilla::BootstrapConfig const&) [nsAppRunner.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 4750 + 0x6fa]
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -      rbx = 0x00007d431fc049c0   rbp = 0x0000000080004005
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -      rsp = 0x00007d432073d3e0   r12 = 0x00007d432073d709
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -      r13 = 0x00007d432073d650   r14 = 0x00007d432073d648
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -      r15 = 0x00007d432073d620   rip = 0x00007d431c7009d3
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -  12  libxul.so!XRE_main(int, char**, mozilla::BootstrapConfig const&) [nsAppRunner.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 4831 + 0x8]
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -      rbx = 0x00007d431fc04200   rbp = 0x00007d43208edc70
[task 2019-11-12T01:20:07.569Z] 01:20:07     INFO -      rsp = 0x00007d432073d620   r12 = 0x0000000000000007
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -      r13 = 0x0000000000000007   r14 = 0x00007d432073d620
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -      r15 = 0x00007d43208b2c48   rip = 0x00007d431c700de4
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -  13  libxul.so!GeckoStart [nsAndroidStartup.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 47 + 0xb]
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -      rbx = 0x00007d431fc04200   rbp = 0x00007d43208edc70
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -      rsp = 0x00007d432073d730   r12 = 0x0000000000000007
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -      r13 = 0x0000000000000007   r14 = 0x0000000000000007
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -      r15 = 0x00007d43208b2c48   rip = 0x00007d431c7022a7
[task 2019-11-12T01:20:07.570Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -  14  libmozglue.so!Java_org_mozilla_gecko_mozglue_GeckoLoader_nativeRun [APKOpen.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 372 + 0x16]
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      rbx = 0x00007d432edbeb40   rbp = 0x00000000ffffffff
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      rsp = 0x00007d432073d770   r12 = 0x0000000000000007
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      r13 = 0x0000000000000007   r14 = 0x00007d431fc04200
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      r15 = 0x00000000ffffffff   rip = 0x00007d43207a47e5
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -  15  base.odex + 0x7ee483
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      rbx = 0x00007d432edf2600   rbp = 0x00007d432073d8b8
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      rsp = 0x00007d432073d7f0   r12 = 0x00007d432073da40
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      r13 = 0x00007d4337160998   r14 = 0x00007d432073dc50
[task 2019-11-12T01:20:07.571Z] 01:20:07     INFO -      r15 = 0x00007d432073dc50   rip = 0x00007d43217c4483
[task 2019-11-12T01:20:07.572Z] 01:20:07     INFO -      Found by: call frame info
[task 2019-11-12T01:06:01.122Z] 01:06:01     INFO -  REFTEST PROCESS-CRASH | remoteautomation.py | application crashed [@ mozilla::net::nsSocketTransport::InitiateSocket()]
[task 2019-11-12T01:06:01.122Z] 01:06:01     INFO -  Crash dump filename: /tmp/tmpHpPW71/197268a3-c0c6-3447-e5df-a35675b7a932.dmp
[task 2019-11-12T01:06:01.123Z] 01:06:01     INFO -  Operating system: Android
[task 2019-11-12T01:06:01.123Z] 01:06:01     INFO -                    0.0.0 Linux 2.6.29-gea477bb #1 Wed Sep 26 11:04:45 PDT 2012 armv7l
[task 2019-11-12T01:06:01.123Z] 01:06:01     INFO -  CPU: arm
[task 2019-11-12T01:06:01.123Z] 01:06:01     INFO -       ARMv7 ARM Cortex-A8 features: swp,half,thumb,fastmult,vfpv2,edsp,neon,vfpv3
[task 2019-11-12T01:06:01.123Z] 01:06:01     INFO -       1 CPU
[task 2019-11-12T01:06:01.123Z] 01:06:01     INFO -  GPU: UNKNOWN
[task 2019-11-12T01:06:01.124Z] 01:06:01     INFO -  Crash reason:  SIGSEGV /SEGV_MAPERR
[task 2019-11-12T01:06:01.124Z] 01:06:01     INFO -  Crash address: 0x0
[task 2019-11-12T01:06:01.124Z] 01:06:01     INFO -  Process uptime: not available
[task 2019-11-12T01:06:01.124Z] 01:06:01     INFO -  Thread 17 (crashed)
[task 2019-11-12T01:06:01.124Z] 01:06:01     INFO -   0  libxul.so!mozilla::net::nsSocketTransport::InitiateSocket() [nsSocketTransport2.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 0 + 0x6]
[task 2019-11-12T01:06:01.125Z] 01:06:01     INFO -       r0 = 0x00000000    r1 = 0x5737f69c    r2 = 0x5737f125    r3 = 0x00000519
[task 2019-11-12T01:06:01.125Z] 01:06:01     INFO -       r4 = 0x00000519    r5 = 0x68c4c0c0    r6 = 0x6ef9cb00    r7 = 0x65a7fbb0
[task 2019-11-12T01:06:01.125Z] 01:06:01     INFO -       r8 = 0x65a7faa8    r9 = 0xffffffff   r10 = 0x52bde4b0   r12 = 0x00000003
[task 2019-11-12T01:06:01.125Z] 01:06:01     INFO -       fp = 0x400721f4    sp = 0x65a7f8a8    lr = 0x535d77b1    pc = 0x535d769c
[task 2019-11-12T01:06:01.125Z] 01:06:01     INFO -      Found by: given as instruction pointer in context
[task 2019-11-12T01:06:01.126Z] 01:06:01     INFO -   1  libxul.so!mozilla::net::nsSocketTransport::OnSocketEvent(unsigned int, nsresult, nsISupports*) [nsSocketTransport2.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 0 + 0x5]
[task 2019-11-12T01:06:01.126Z] 01:06:01     INFO -       r4 = 0x68c4c000    r5 = 0x00000000    r6 = 0x68c4c09c    r7 = 0x65a7fbc8
[task 2019-11-12T01:06:01.126Z] 01:06:01     INFO -       r8 = 0x65a7fc28    r9 = 0xffffffff   r10 = 0x52bde4b0    fp = 0x65a7fc73
[task 2019-11-12T01:06:01.126Z] 01:06:01     INFO -       sp = 0x65a7fbb8    lr = 0x535d82f3    pc = 0x535d82f3
[task 2019-11-12T01:06:01.126Z] 01:06:01     INFO -      Found by: call frame info
[task 2019-11-12T01:06:01.126Z] 01:06:01     INFO -   2  libxul.so!mozilla::net::nsSocketEvent::Run() [nsSocketTransport2.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 91 + 0xd]
[task 2019-11-12T01:06:01.127Z] 01:06:01     INFO -       r4 = 0x681d2b40    r5 = 0x52bde430    r6 = 0x00000002    r7 = 0x65a7fbd8
[task 2019-11-12T01:06:01.127Z] 01:06:01     INFO -       r8 = 0x65a7fc28    r9 = 0xffffffff   r10 = 0x52bde4b0    fp = 0x65a7fc73
[task 2019-11-12T01:06:01.127Z] 01:06:01     INFO -       sp = 0x65a7fbd0    lr = 0x535e6821    pc = 0x535e6821
[task 2019-11-12T01:06:01.127Z] 01:06:01     INFO -      Found by: call frame info
[task 2019-11-12T01:06:01.127Z] 01:06:01     INFO -   3  libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 1175 + 0x9]
[task 2019-11-12T01:06:01.127Z] 01:06:01     INFO -       r4 = 0x00000000    r5 = 0x52bde430    r6 = 0x00000002    r7 = 0x65a7fc68
[task 2019-11-12T01:06:01.128Z] 01:06:01     INFO -       r8 = 0x65a7fc28    r9 = 0xffffffff   r10 = 0x52bde4b0    fp = 0x65a7fc73
[task 2019-11-12T01:06:01.128Z] 01:06:01     INFO -       sp = 0x65a7fbe0    lr = 0x535349f1    pc = 0x535349f1
[task 2019-11-12T01:06:01.128Z] 01:06:01     INFO -      Found by: call frame info
[task 2019-11-12T01:06:01.128Z] 01:06:01     INFO -   4  libxul.so!NS_ProcessNextEvent(nsIThread*, bool) [nsThreadUtils.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 486 + 0xd]
[task 2019-11-12T01:06:01.129Z] 01:06:01     INFO -       r4 = 0x00000001    r5 = 0x52bde430    r6 = 0x400721f4    r7 = 0x65a7fc88
[task 2019-11-12T01:06:01.129Z] 01:06:01     INFO -       r8 = 0x65a7fce8    r9 = 0x65a7fd28   r10 = 0x65a7fcf0    fp = 0x00000003
[task 2019-11-12T01:06:01.129Z] 01:06:01     INFO -       sp = 0x65a7fc70    lr = 0x535365e5    pc = 0x535365e5
[task 2019-11-12T01:06:01.129Z] 01:06:01     INFO -      Found by: call frame info
[task 2019-11-12T01:06:01.130Z] 01:06:01     INFO -   5  libxul.so!mozilla::net::nsSocketTransportService::Run() [nsSocketTransportService2.cpp:928658c79e5a18189a3d40208db5d632a9c923aa : 1013 + 0x7]
[task 2019-11-12T01:06:01.130Z] 01:06:01     INFO -       r4 = 0x52b6c120    r5 = 0x00000000    r6 = 0x65a7fd17    r7 = 0x65a7fd58
[task 2019-11-12T01:06:01.130Z] 01:06:01     INFO -       r8 = 0x65a7fce8    r9 = 0x65a7fd28   r10 = 0x65a7fcf0    fp = 0x00000003
[task 2019-11-12T01:06:01.131Z] 01:06:01     INFO -       sp = 0x65a7fc90    lr = 0x535dbd1b    pc = 0x535dbd1b
Flags: needinfo?(andrei.a.lazar)

Hi, a try build that logs the pings was provided for verification. As per bug1584188,comment8 - a new check should be made on redash.
Checking the logged pings sent to Mozilla I was able to test and provide the needed updates as soon as possible and verify that everything works as expected.
Device used: Google Pixel 3a (Android 9)
Info/scenarios tested through cmd:

  • Snake Case
  • Default Value
  • Whether the field is updated or not
  • Whether the reset, if it was the case, is applicable or not
    for
  • fennec.new_tab.top_sites_clicked - all of the above mentioned scenarios have passed
  • fennec.new_tab.pocket_stories_clicked - all of the above mentioned scenarios have passed
Status: NEW → RESOLVED
Closed: 1 year ago
Resolution: --- → FIXED
Flags: needinfo?(andrei.a.lazar)

Hi, verified with Google Pixel 3a (Android 9) on Firefox Nightly 68.3a1 (2019-11-25) through redash:
Scenarios:

  • Snake Case
  • Default Value
  • Whether the field is updated or not
  • Whether the reset, if it was the case, is applicable or not
    for
  • fennec.new_tab.top_sites_clicked - all of the above mentioned scenarios have passed
  • fennec.new_tab.pocket_stories_clicked - all of the above mentioned scenarios have passed

I tested the issue on RC 68.3.0 using a Samsung Galaxy S8+ (Android 8.0.0) and the pings work correctly, I will mark this issue as VERIFIED.

Scenarios
Snake Case
Default Value
Whether the field is updated or not
Whether the reset, if it was the case, is applicable or not
for
fennec.new_tab.top_sites_clicked - all of the above mentioned scenarios have passed
fennec.new_tab.pocket_stories_clicked - all of the above mentioned scenarios have passed

Status: RESOLVED → VERIFIED
Product: Firefox for Android → Firefox for Android Graveyard
You need to log in before you can comment on or make changes to this bug.